Subject: RE: [mobile-ip] How to process HAO

From: "Karen E Nielsen (TED)" <[email-masked]>
Date: Tue, 30 Apr 2002 08:29:15 +0200

Hi Vijay,

> > > HAO is processed if
> > >
> > >   - if there is a BCE with CoA = IPv6 src and HoA = HAO content
> > Fine
> > >   - if there is a home registration BCE with HoA = HAO content
> > 
> > I am probably missing something obvious here - but - why is 
> it that the CoA not
> > need to be verified with a home registration BCE ?
> 
> When the MN moves and send a home registration BU, the source
> address would be the newCoA (whereas the current BCE at the
> home agent has the oldCoA). 
> 
> The HA has to just update the existing BCE with the newCoA. 
> 

Thanks ! ..... but isn't this case included under the item below (the first one) - I mean
the BU still needs to be properly authenticated - right ? 
I understand the term security policy below to be broader than the term _IPSEC_ security policy -
meaning any security policy that the MN and the HA share with respect to BU authentication - 
could be IPSEC could be something else, e.g.
authentication sub option ala draft 15.

> > >   - if packet contains BU and satisfies the security policy
> > >     between MN and HA
> > Fine -
> > >   - if packet contains AH or ESP header and satisfies the security
> > >     policy check between MN and HA.
> > Fine
> > >
> > 

Karen